{ final, prev, ... }:
let old = prev.eww;
in final.rustPlatform.buildRustPackage rec {
  pname = "eww";
  version = "865cf631d5bbb5f9fccc99b3f4cc80b9eeada18c";

  src = prev.fetchFromGitHub {
    owner = "elkowar";
    repo = "eww";
    rev = "${version}";
    hash = "sha256-zi+5G05aakh8GBdfHL1qcNo/15aEm5mXtHGgKMAyp1U=";
  };

  cargoHash = "sha256-SEdr9nW5nBm1gafjC5fZhqPbHQ7H6Kk0RL1V6OEQRdA=";

  nativeBuildInputs = old.nativeBuildInputs;
  buildInputs = old.buildInputs ++ [ final.libdbusmenu-gtk3 ];

  cargoBuildFlags = old.cargoBuildFlags;
  cargoTestFlags = old.cargoTestFlags;

  RUSTC_BOOTSTRAP = 1;
}
